package com.qs.mp.web.controller.common;

import cn.jsms.api.ValidSMSResult;
import com.alibaba.fastjson.JSONObject;
import com.qs.mp.channel.domain.Channel;
import com.qs.mp.channel.domain.param.ChannelInviteParam;
import com.qs.mp.channel.service.IChannelService;
import com.qs.mp.common.core.domain.AjaxResult;
import com.qs.mp.common.core.domain.AjaxResult.Type;
import com.qs.mp.common.enums.ChannelRoleEnum;
import com.qs.mp.common.jsms.JSMSUtils;
import com.qs.mp.framework.service.IWxUrlLinkService;
import com.qs.mp.utils.SecurityUtils;
import io.swagger.annotations.Api;
import ma.glasnost.orika.MapperFacade;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @auther zhongcp
 * @create 2022-02-28 16:17:48
 * @describe 渠道邀请前端控制器
 */
@Api("微信服务端调用API")
@RestController
@RequestMapping("/api/v1/mp/wx/*")
@Component
public class WxServerController extends BaseApiController {

	@Autowired
	private IWxUrlLinkService wxUrlLinkService;

	/**
	 * 生成邀请码
	 *
	 * @return
	 */
	@PostMapping("urlschema/generate")
	public AjaxResult listChannel(@RequestBody  JSONObject jsonObject) {
		String query = jsonObject.getString("query");
		String rst = wxUrlLinkService.generateUrlSchema("pages/login/invitation", query);
		return new AjaxResult(Type.SUCCESS, "", rst);
	}
}
